> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain suggestions

> Get purchasable alternative domain names for a search



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /domainManagement/domains/suggestions
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /domainManagement/domains/suggestions:
    get:
      tags:
        - Domain Management - Domains
      summary: Get domain suggestions
      description: Get purchasable alternative domain names for a search
      parameters:
        - in: query
          name: name
          schema:
            title: Name
            description: Domain name to suggest alternatives for (e.g. acme-outreach.com).
            type: string
            minLength: 4
            maxLength: 253
          required: true
          description: Domain name to suggest alternatives for (e.g. acme-outreach.com).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        available:
                          type: boolean
                        priceCredits:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - name
                        - available
                        - priceCredits
                      additionalProperties: false
                    title: Results
                    description: >-
                      Purchasable alternative names. Prices are expressed in
                      workspace credits.
                required:
                  - results
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````